summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJulien Valroff <julien@kirya.net>2010-08-29 20:26:03 +0200
committerJulien Valroff <julien@kirya.net>2010-08-29 20:26:03 +0200
commite87d759bed29163c5b4a4741a456ef1e76a2171c (patch)
treeca265ebde9a35cef2c4b28e999594dc6880508b6
parent999ee603379f337cb3282b05517648eda1dbf1b7 (diff)
Fix and complete previous commit
-rw-r--r--debian/mailgraph.default23
-rw-r--r--debian/mailgraph.postinst50
2 files changed, 30 insertions, 43 deletions
diff --git a/debian/mailgraph.default b/debian/mailgraph.default
deleted file mode 100644
index fa77519..0000000
--- a/debian/mailgraph.default
+++ /dev/null
@@ -1,23 +0,0 @@
-# This file is sourced by /etc/init.d/mailgraph
-#
-# This is a POSIX shell fragment
-#
-
-# Should Mailgraph start on boot (true|false) (default: true)
-BOOT_START=true
-
-# Logfile used by mailgraph (default: /var/log/mail.log)
-MAIL_LOG=/var/log/mail.log
-
-# Ignore mails from localhost (true|false) (default: false)
-# When true, this will pass --ignore-localhost to mailgraph daemon
-IGNORE_LOCALHOST=true
-
-# Extra options to be passed to mailgraph daemon
-# See mailgraph -h output (default: "")
-EXTRA_OPTIONS=""
-
-# User and group http daemon runs as (default: www-data for both options)
-# Restart mailgraph daemon so that these values are taken into account
-HTTP_USER=www-data
-HTTP_GROUP=www-data
diff --git a/debian/mailgraph.postinst b/debian/mailgraph.postinst
index 3af0c30..75ea6c0 100644
--- a/debian/mailgraph.postinst
+++ b/debian/mailgraph.postinst
@@ -18,47 +18,58 @@ set -e
#
. /usr/share/debconf/confmodule
-DF=/etc/default/mailgraph
case "$1" in
configure)
+ db_get mailgraph/start_on_boot || true
+ BOOT_START=$RET
- db_get mailgraph/start_on_boot || true
- BOOT_START=$RET
+ db_get mailgraph/mail_log || true
+ MAIL_LOG=$RET
- db_get mailgraph/mail_log || true
- MAIL_LOG=$RET
+ db_get mailgraph/ignore_localhost
+ IGNORE_LOCALHOST=$RET
- db_get mailgraph/ignore_localhost
- IGNORE_LOCALHOST=$RET
+ TEMPFILE=`mktemp`
+ cat << EOF > $TEMPFILE
+# This file is sourced by /etc/init.d/mailgraph
+#
+# This is a POSIX shell fragment
+#
- db_stop
+# Should Mailgraph start on boot (true|false) (default: true)
+BOOT_START=$BOOT_START
- TEMPFILE=`mktemp`
- cat << _eof > $TEMPFILE
- # Should Mailgraph start on boot
- BOOT_START=$BOOT_START
+# Logfile used by mailgraph (default: /var/log/mail.log)
+MAIL_LOG=$MAIL_LOG
- # Logfile used by mailgraph
- MAIL_LOG=$MAIL_LOG
+# Ignore mails from localhost (true|false) (default: false)
+# When true, this will pass --ignore-localhost to mailgraph daemon
+IGNORE_LOCALHOST=$IGNORE_LOCALHOST
- # Ignore mail to/from localhost
- IGNORE_LOCALHOST=$IGNORE_LOCALHOST
- _eof
+# Extra options to be passed to mailgraph daemon
+# See mailgraph -h output (default: "")
+EXTRA_OPTIONS=""
- ucf $TEMPFILE /etc/default/mailgraph
+# User and group http daemon runs as (default: www-data for both options)
+# Restart mailgraph daemon so that these values are taken into account
+HTTP_USER=www-data
+HTTP_GROUP=www-data
+EOF
+
+ ucf $TEMPFILE /etc/default/mailgraph --debconf-ok
rm -f $TEMPFILE
;;
abort-upgrade|abort-remove|abort-deconfigure)
-
;;
*)
echo "postinst called with unknown argument \`$1'" >&2
exit 1
;;
+
esac
# dh_installdeb will replace this with shell code automatically
@@ -67,4 +78,3 @@ esac
#DEBHELPER#
exit 0
-